<?php
namespace FluidTYPO3\Vhs\ViewHelpers\Context;

/*
 * This file is part of the FluidTYPO3/Vhs project under GPLv2 or later.
 *
 * For the full copyright and license information, please read the
 * LICENSE.md file that was distributed with this source code.
 */

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * ### Context: Get
 *
 * Returns the current application context which may include possible sub-contexts.
 * The application context can be 'Production', 'Development' or 'Testing'.
 * Additionally each context can be extended with custom sub-contexts like: 'Production/Staging' or ' Production/Staging/Server1'.
 * If no application context has been set by the configuration, then the default context is 'Production'.
 *
 * #### Note about how to set the application context
 *
 * The context TYPO3 CMS runs in is specified through the environment variable TYPO3_CONTEXT.
 * It can be set by .htaccess or in the server configuration
 *
 * See: http://docs.typo3.org/typo3cms/CoreApiReference/ApiOverview/Bootstrapping/Index.html#bootstrapping-context
 *
 * @author     Benjamin Beck <beck@beckdigitalemedien.de>
 * @package    Vhs
 * @subpackage ViewHelpers\Context
 */
class GetViewHelper extends AbstractViewHelper {

	/**
	 * @return string
	 */
	public function render () {
		return (string) GeneralUtility::getApplicationContext();
	}

}
