<?php
namespace FluidTYPO3\Vhs\Tests\Unit\ViewHelpers\Format;

/*
 * This file is part of the FluidTYPO3/Vhs project under GPLv2 or later.
 *
 * For the full copyright and license information, please read the
 * LICENSE.md file that was distributed with this source code.
 */

use FluidTYPO3\Vhs\Tests\Unit\ViewHelpers\AbstractViewHelperTest;

/**
 * @protection on
 * @author Claus Due <claus@namelesscoder.net>
 * @package Vhs
 */
class AppendViewHelperTest extends AbstractViewHelperTest {

	/**
	 * @test
	 */
	public function canAppendValueToArgument() {
		$arguments = array(
			'subject' => 'before',
			'add' => 'after'
		);
		$test = $this->executeViewHelper($arguments);
		$this->assertStringEndsWith($arguments['add'], $test);
	}

	/**
	 * @test
	 */
	public function canAppendValueToChildContent() {
		$arguments = array(
			'add' => 'after'
		);
		$test = $this->executeViewHelperUsingTagContent('Text', 'before', $arguments);
		$this->assertStringEndsWith($arguments['add'], $test);
	}

}
