<?php
namespace FluidTYPO3\Vhs\Tests\Unit\ViewHelpers\Format;

/*
 * This file is part of the FluidTYPO3/Vhs project under GPLv2 or later.
 *
 * For the full copyright and license information, please read the
 * LICENSE.md file that was distributed with this source code.
 */

use FluidTYPO3\Vhs\Tests\Unit\ViewHelpers\AbstractViewHelperTest;

/**
 * @protection on
 * @author Claus Due <claus@namelesscoder.net>
 * @package Vhs
 */
class SubstringViewHelperTest extends AbstractViewHelperTest {

	/**
	 * @test
	 */
	public function canRenderUsingArguments() {
		$arguments = array(
			'content' => 'foobar',
			'length' => NULL,
			'start' => 3
		);
		$test = $this->executeViewHelper($arguments);
		$this->assertSame('bar', $test);
	}

	/**
	 * @test
	 */
	public function canRenderWithLengthArgument() {
		$arguments = array(
			'content' => 'foobar',
			'length' => 3,
			'start' => 2
		);
		$test = $this->executeViewHelper($arguments);
		$this->assertSame('oba', $test);
	}

	/**
	 * @test
	 */
	public function canRenderUsingTagContent() {
		$arguments = array(
			'length' => NULL,
			'start' => 3
		);
		$test = $this->executeViewHelperUsingTagContent('Text', 'foobar', $arguments);
		$this->assertSame('bar', $test);
	}

}
